net.minecraft.item

## Class ItemSkull

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemSkull

-     public class ItemSkull
      extends Item

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.item.Item

      `Item.ToolMaterial`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `field_94587_a`

    - ### Fields inherited from class net.minecraft.item.Item

      `bFull3D, canRepair, field_111210_e, hasSubtypes, iconString, itemIcon, itemRand, itemRegistry, maxStackSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemSkull()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IIcon` | `getIconFromDamage(int par1)`
    `java.lang.String` | `getItemStackDisplayName(ItemStack par1ItemStack)`
    `int` | `getMetadata(int par1)`
    `void` | `getSubItems(Item p_150895_1_, CreativeTabs p_150895_2_, java.util.List p_150895_3_)`
    `java.lang.String` | `getUnlocalizedName(ItemStack par1ItemStack)`
    `boolean` | `onItemUse(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, World par3World, int par4, int par5, int par6, int par7, float par8, float par9, float par10)`
    `void` | `registerIcons(IIconRegister par1IconRegister)`

    - ### Methods inherited from class net.minecraft.item.Item

      `addInformation, canHarvestBlock, canItemEditBlocks, createEntity, doesContainerItemLeaveCraftingGrid, doesSneakBypassUse, func_150893_a, func_150897_b, getArmorModel, getArmorTexture, getAttributeModifiers, getChestGenBase, getColorFromItemStack, getContainerItem, getContainerItem, getCreativeTab, getCreativeTabs, getDamage, getDigSpeed, getDisplayDamage, getDurabilityForDisplay, getEntityLifespan, getFontRenderer, getHarvestLevel, getHasSubtypes, getIcon, getIcon, getIconFromDamageForRenderPass, getIconIndex, getIconString, getIdFromItem, getIsRepairable, getItemAttributeModifiers, getItemById, getItemEnchantability, getItemFromBlock, getItemStackLimit, getItemStackLimit, getItemUseAction, getMaxDamage, getMaxDamage, getMaxItemUseDuration, getMovingObjectPositionFromPlayer, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getSpriteNumber, getToolClasses, getUnlocalizedName, getUnlocalizedNameInefficiently, hasContainerItem, hasContainerItem, hasCustomEntity, hasEffect, hasEffect, hitEntity, isBookEnchantable, isDamageable, isDamaged, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, isValidArmor, itemInteractionForEntity, onArmorTick, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onEaten, onEntityItemUpdate, onEntitySwing, onItemRightClick, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingTick, registerItems, renderHelmetOverlay, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setDamage, setFull3D, setHarvestLevel, setHasSubtypes, setMaxDamage, setMaxStackSize, setNoRepair, setPotionEffect, setTextureName, setUnlocalizedName, shouldRotateAroundWhenRendering, showDurabilityBar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_94587_a

          public static final java.lang.String[] field_94587_a

  - ### Constructor Detail

    - #### ItemSkull

          public ItemSkull()

  - ### Method Detail

    - #### onItemUse

          public boolean onItemUse(ItemStack par1ItemStack,
                          EntityPlayer par2EntityPlayer,
                          World par3World,
                          int par4,
                          int par5,
                          int par6,
                          int par7,
                          float par8,
                          float par9,
                          float par10)

      Overrides:
        `onItemUse` in class `Item`

    - #### getSubItems

          public void getSubItems(Item p_150895_1_,
                         CreativeTabs p_150895_2_,
                         java.util.List p_150895_3_)

      Overrides:
        `getSubItems` in class `Item`

    - #### getMetadata

          public int getMetadata(int par1)

      Overrides:
        `getMetadata` in class `Item`

    - #### getUnlocalizedName

          public java.lang.String getUnlocalizedName(ItemStack par1ItemStack)

      Overrides:
        `getUnlocalizedName` in class `Item`

    - #### getIconFromDamage

          public IIcon getIconFromDamage(int par1)

      Overrides:
        `getIconFromDamage` in class `Item`

    - #### getItemStackDisplayName

          public java.lang.String getItemStackDisplayName(ItemStack par1ItemStack)

      Overrides:
        `getItemStackDisplayName` in class `Item`

    - #### registerIcons

          public void registerIcons(IIconRegister par1IconRegister)

      Overrides:
        `registerIcons` in class `Item`